#include "MapPath.h"
MapPath::MapPath()
{
	PathNickName = "Pick_Name";
	Length = 0;
}
MapPath::~MapPath()
{
	if(Path.GetLength() > 0)
		while(Path.isEmpty() != true) Path.popFront();
}
void MapPath::SetName(string Data)
{
	string temp;
	temp = Data;
	if(temp.length() > 0)
	{
		for(int i = 0; i < int(temp.length()); i++)
			if(temp[i] == ' ') temp[i] = '_';
		PathNickName = temp;
	}
	else PathNickName = "Pick_Name";
}
string MapPath::GetName() const
{
	return PathNickName;
}
int MapPath::GetLength() const
{
	return Length;
}
void MapPath::AddNode(int X, int Y, int Dir)
{
	PathNode temp;
	temp.SetDir(Dir); temp.SetX(X); temp.SetY(Y);
	Path.insertBack(temp);
	Length++;
}